#Daytime#
execute store result score daytime daytime run time query daytime

#Wave Increment#
execute if score daytime daytime matches 13500 run function edd:map2/game/announcewave
execute if score players counter matches 1..2 if score daytime daytime matches 14000 run tellraw @a ["\n",{"text":"Your attack damage has been boosted for the night!","color":"gold"}]

#Wave Chunks#
execute if score daytime daytime matches 14000 run function edd:map2/game/chunks
execute if score daytime daytime matches 14000 run time add 300t
execute if score daytime daytime matches 15000 run function edd:map2/game/chunks
execute if score daytime daytime matches 15000 run time add 300t
execute if score daytime daytime matches 16000 run function edd:map2/game/chunks
execute if score daytime daytime matches 16000 run time add 300t
execute if score daytime daytime matches 17000 run function edd:map2/game/chunks
execute if score daytime daytime matches 17000 run time add 300t
execute if score daytime daytime matches 18000 run function edd:map2/game/chunks
execute if score daytime daytime matches 18000 run time add 300t
execute if score daytime daytime matches 19000 run function edd:map2/game/chunks
execute if score daytime daytime matches 19000 run time add 300t
execute if score daytime daytime matches 20000 run function edd:map2/game/chunks
execute if score daytime daytime matches 20000 run time add 2000t

#End of Wave#
execute if score daytime daytime matches 23999 if score wave counter matches 1..9 run function edd:map2/game/endwave

#Attack Damage#
scoreboard players set players counter 0
execute as @a run scoreboard players add players counter 1
execute if score daytime daytime matches 0..13999 as @a run attribute @s minecraft:generic.attack_damage base set 1
execute if score daytime daytime matches 14000..23999 run function edd:map2/game/dmg/increase
execute if score daytime daytime matches 14000..23999 run effect give @a fire_resistance 1 0 true

#Creepers Wake Up#
scoreboard players add @e[type=creeper,tag=preattacker] counter 1
execute as @e[type=creeper,tag=preattacker,scores={counter=100}] at @s run function edd:map2/mobs/startcreeper

#Win#
execute if score daytime daytime matches 23900..23999 if score wave counter matches 10 run function edd:map2/game/winning
execute if score daytime daytime matches 23999 if score wave counter matches 10 run function edd:map2/game/win

#Lose#
execute if score EggHealth count matches ..0 run function edd:map2/game/losing
execute if entity @p[tag=votequit] unless entity @a[tag=!votequit] run function edd:map2/game/lose
execute if entity @p[tag=votereturn] unless entity @a[tag=!votereturn] run function edd:map2/game/lose
execute if score returning counter matches 0 run scoreboard players set return counter 0
execute if score returning counter matches 1 run scoreboard players add return counter 1
execute if score return counter matches 600.. run function edd:map2/game/returnremind

#Skip Day#
execute if entity @p[tag=voteskip] unless entity @a[tag=!voteskip] run function edd:map2/game/skip
execute if score skip counter matches 1 if score daytime daytime matches 0..12999 run function edd:map2/game/skipping
execute if score skip counter matches 1 if score daytime daytime matches 13000..24000 run function edd:map2/game/skipfin

#Vote Timer#
execute unless entity @p[tag=voteskip] run scoreboard players set voteskip counter 0
execute unless entity @p[tag=votequit] run scoreboard players set votequit counter 0
execute if entity @p[tag=voteskip] run scoreboard players add voteskip counter 1
execute if entity @p[tag=votequit] run scoreboard players add votequit counter 1
execute if score voteskip counter matches 600.. run function edd:map2/game/skipcancel
execute if score votequit counter matches 600.. run function edd:map2/game/quitcancel

#Shopkeep#
execute as @e[type=armor_stand,tag=shopkeep,limit=1,sort=nearest] at @s if entity @p[distance=..7] anchored eyes facing entity @p feet positioned ^ ^ ^5 rotated as @s positioned ^ ^ ^40 facing entity @s eyes facing ^ ^ ^-1 positioned as @s run tp @s ~ ~ ~ ~ ~
execute as @a store result score @s gold run clear @s gold_ingot 0

#Interact Button#
tag @a remove interact
tag @a[nbt={Inventory:[{id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:0b}}]}] add interact
scoreboard players add @a[tag=!interact] interact 1
scoreboard players set @a[tag=interact] interact 0
give @a[scores={interact=100..}] warped_fungus_on_a_stick{display:{Name:'{"text":"Interact","color":"dark_green","bold":true}',Lore:['{"text":"Right Click","color":"light_purple","italic":true}']},Unbreakable:1b,CustomModelData:10000000,ticket:0b} 1
scoreboard players set @a[scores={interact=100..}] interact 0

execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:warped_fungus_on_a_stick",tag:{ticket:0b}}]}] run function edd:map2/game/return
kill @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick",Count:1b,tag:{ticket:0b}}}]

#Spawn Rates#
execute if score daytime daytime matches 0 run gamerule doMobSpawning true
execute if score daytime daytime matches 100 run gamerule doMobSpawning false
execute if score daytime daytime matches 3000 run gamerule doMobSpawning true
execute if score daytime daytime matches 3100 run gamerule doMobSpawning false
execute if score daytime daytime matches 6000 run gamerule doMobSpawning true
execute if score daytime daytime matches 6100 run gamerule doMobSpawning false
execute if score daytime daytime matches 9000 run gamerule doMobSpawning true
execute if score daytime daytime matches 9100 run gamerule doMobSpawning false
execute if score daytime daytime matches 13500 run gamerule doMobSpawning true
execute if score daytime daytime matches 13600 run gamerule doMobSpawning false
execute if score daytime daytime matches 18500 run gamerule doMobSpawning true
execute if score daytime daytime matches 18600 run gamerule doMobSpawning false

#Compass#
execute as @a[tag=!nocompass] unless entity @s[scores={compasssneak=1..}] at @s run function edd:map2/compass
execute as @a[tag=!nocompass,scores={compasssneak=1..}] at @s run function edd:map2/battycoords
scoreboard players reset @a compasssneak